Groovy Documentation

## org.codehaus.groovy.ast
[Java] Class ConstructorNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.MethodNode
                  org.codehaus.groovy.ast.ConstructorNode

    public class ConstructorNode
    extends MethodNode

Represents a constructor declaration

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`ConstructorNode(int modifiers, Statement code)`
`ConstructorNode(int modifiers, Parameter[] parameters, ClassNode[] exceptions, Statement code)`

Method Summary
`boolean` | `firstStatementIsSpecialConstructorCall()`

Methods inherited from class MethodNode

getCode, getExceptions, getFirstStatement, getGenericsTypes, getModifiers, getName, getParameters, getReturnType, getText, getTypeDescriptor, getVariableScope, hasAnnotationDefault, hasDefaultValue, isAbstract, isDynamicReturnType, isFinal, isPrivate, isProtected, isPublic, isScriptBody, isStatic, isStaticConstructor, isSyntheticPublic, isVoidMethod, setAnnotationDefault, setCode, setGenericsTypes, setModifiers, setParameters, setReturnType, setSyntheticPublic, setVariableScope, toString

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ConstructorNode

    public ConstructorNode(int modifiers, Statement code)

### ConstructorNode

    public ConstructorNode(int modifiers, Parameter[] parameters, ClassNode[] exceptions, Statement code)

Method Detail

### firstStatementIsSpecialConstructorCall

    public boolean firstStatementIsSpecialConstructorCall()

Groovy Documentation